import request from '@/utils/request'

// 查询商品信息管理列表
export function listCommodity(query) {
  return request({
    url: '/commodity/commodity/list',
    method: 'get',
    params: query
  })
}

// 查询商品信息管理详细
export function getCommodity(id) {
  return request({
    url: '/commodity/commodity/' + id,
    method: 'get'
  })
}

// 新增商品信息管理
export function addCommodity(data) {
  return request({
    url: '/commodity/commodity',
    method: 'post',
    data: data
  })
}

// 修改商品信息管理
export function updateCommodity(data) {
  return request({
    url: '/commodity/commodity',
    method: 'put',
    data: data
  })
}

// 修改商品状态
export function updateCommoditySetStatus(data) {
	return request({
	  url: '/commodity/commodity/setStatus',
	  method: 'put',
	  data: data
	})
  }

// 删除商品信息管理
export function delCommodity(id) {
  return request({
    url: '/commodity/commodity/' + id,
    method: 'delete'
  })
}

// 修改积分奖励
export function customerIntegralSet(data) {
	return request({
	  url: '/customerIntegralSet ',
	  method: 'put',
	  data: data
	})
  }


// 查询积分奖励
export function customerIntegralSetList() {
	return request({
	  url: '/customerIntegralSet/list',
	  method: 'get',
	//   data: data
	})
  }